Installer - Feature #29255

Set Foreman plugin config file permissions to 0640

03/03/2020 04:12 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 2.1.0
Difficulty: Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/807
Description

Config files might contain secrets such as credentials. Therefore they shouldn't be world readable.

The katello config is such an example and is currently replicating foreman::plugin.
commit:9¢c1787ad19b2cae407b25958095echbf78757a959 removed the other reason.

Associated revisions

Revision fb9f221d - 03/04/2020 12:56 PM - Ewoud Kohl van Wijngaarden
Fixes #29255 - Set plugin config file mode to 0640

This sets the config file mode to 0640 by default because they may
contain secrets such as credentials. To keep it readable for Foreman,
the group is modified to $foreman::group.

History

#1 - 03/03/2020 04:38 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/807 added

#2 - 03/04/2020 12:56 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 03/04/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|tb9f221d50553ec00496113f9a4d37ff4e5f149c.
